SessionDock Developer Docs

Make your creative workflow programmable.

Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.

List known tags with counts

Aggregates known tags across the session library in descending usage order.

GET/api/v1/tags

Aggregates known tags across the session library in descending usage order.

curl -X GET 'http://127.0.0.1:18432/api/v1/tags' \
  -H 'Authorization: Bearer <token>'

Responses

200

Tag counts

application/json

Schema Shape

{
  "data": [
    {
      "tag": "<string>",
      "count": 0
    }
  ]
}

Example

{
  "data": [
    {
      "tag": "<string>",
      "count": 0
    }
  ]
}
401

Missing or invalid bearer token.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 401,
    "code": "unauthorized",
    "message": "Provide Authorization: Bearer <token>."
  }
}